Package org.apache.torque.generator.configuration

# Enum Class UnitDescriptor.Packaging

java.lang.Object
java.lang.Enum<UnitDescriptor.Packaging>
org.apache.torque.generator.configuration.UnitDescriptor.Packaging

All Implemented Interfaces:
  `Serializable`, `Comparable<UnitDescriptor.Packaging>`, `Constable`

Enclosing class:
  `UnitDescriptor`

public static enum UnitDescriptor.Packaging extends Enum<UnitDescriptor.Packaging>
Possible packaging forms of a unit of generation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLASSPATH`
  the generation unit is provided in the classpath.
  `DIRECTORY`
  the generation unit is provided in a local directory.
  `JAR`
  the generation unit is provided as a jar file .

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UnitDescriptor.Packaging`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UnitDescriptor.Packaging[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JAR

    public static final UnitDescriptor.Packaging JAR
    the generation unit is provided as a jar file .

  - ### DIRECTORY

    public static final UnitDescriptor.Packaging DIRECTORY
    the generation unit is provided in a local directory.

  - ### CLASSPATH

    public static final UnitDescriptor.Packaging CLASSPATH
    the generation unit is provided in the classpath.

- ## Method Details

  - ### values

    public static UnitDescriptor.Packaging[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UnitDescriptor.Packaging valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null